Skip to content

Get wallet verification by ID

GET
/v2/onboarding/verifications/{id}

Get a single wallet verification record by its ID with full PII details from Aegis if available.

id
required
string

Wallet verification record with user PII details from Aegis.

object
id
required

Unique verification ID

string
82c4fce1-d2c7-48cb-a647-6993dbe37819
walletAddress
required

Wallet address

string
0x41abab3a4befc66569c5ccd9f4a687e141fa85b3
chainId
required

Chain ID

number
84532
chain

Chain name

string
BASE_SEPOLIA
status
required

Verification status

string
verified
verificationSource

Source of verification (LOCAL_CACHE, TRUST_NETWORK, KYC_PROVIDER)

string
KYC_PROVIDER
vaspId

VASP identifier if verified via TRUST

string
5493001KJTIIGC8Y1R12
verifiedAt

When verification was completed

string
2025-11-27T04:18:07.173Z
expiresAt

When verification expires

string
2026-02-25T04:18:07.173Z
createdAt
required

Record creation timestamp

string
2025-11-27T04:18:07.173Z
kycRequestId

KYC request ID if linked

string
82c4fce1-d2c7-48cb-a647-6993dbe37819
providerSessionId

Provider session ID

string
67890abcdef
userDetails

Decrypted user PII from Aegis (if available)

object
identity

User identity information

object
firstName

First name

string
lastName

Last name

string
dateOfBirth

Date of birth

string
nationality

Nationality

string
verified

Whether identity was verified

boolean
confidence

Confidence score

number
address

User address information

object
street

Street address

string
city

City

string
state

State/Province

string
postalCode

Postal code

string
country

Country

string
verified

Whether address was verified

boolean
confidence

Confidence score

number
documents

Verified documents

Array<object>
object
verificationScore

Verification score (0-100)

number
confidenceLevel

Confidence level (0-100)

number
riskScore

Risk score (0-100)

number
screening

Screening results

object
sanctionsMatch

Sanctions match

boolean
pepMatch

Politically Exposed Person match

boolean
watchlistMatch

Watchlist match

boolean

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error